Package it.ernytech.tdlib

## Class TdApi.UpdateMessageSendFailed

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateMessageSendFailed

Enclosing class:
  TdApi

    public static class TdApi.UpdateMessageSendFailed
    extends TdApi.Update

A message failed to send. Be aware that some messages being sent can be irrecoverably deleted, in which case updateDeleteMessages will be received instead of this update.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `errorCode` An error code.
`java.lang.String` `errorMessage` Error message.
`TdApi.Message` `message` Contains information about the message that failed to send.
`long` `oldMessageId` The previous temporary message identifier.

### Constructor Summary

Constructors
`UpdateMessageSendFailed()` Default constructor.
`UpdateMessageSendFailed​(TdApi.Message message, long oldMessageId, int errorCode, java.lang.String errorMessage)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### message

    public TdApi.Message message

Contains information about the message that failed to send.

#### oldMessageId

    public long oldMessageId

The previous temporary message identifier.

#### errorCode

    public int errorCode

An error code.

#### errorMessage

    public java.lang.String errorMessage

Error message.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateMessageSendFailed

    public UpdateMessageSendFailed()

Default constructor.

#### UpdateMessageSendFailed

    public UpdateMessageSendFailed​(TdApi.Message message,
                                   long oldMessageId,
                                   int errorCode,
                                   java.lang.String errorMessage)

Constructor for initialization of all fields.

Parameters:
  `message` - Contains information about the message that failed to send.
  `oldMessageId` - The previous temporary message identifier.
  `errorCode` - An error code.
  `errorMessage` - Error message.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR